%define oname   database_cleaner

Name:       ruby-%{oname}
Version:    0.9.1
Release:    %mkrel 3
Summary:    Strategies for cleaning databases
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/bmabey/database_cleaner
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Strategies for cleaning databases.  Can be used to ensure a clean state for
testing.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.textile
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/database_cleaner/active_record/truncation.rb


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 395826
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 380772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 312818
- new version 0.9.2

* Sun Feb 13 2011 shikamaru <shikamaru> 0.5.2-1.mga1
+ Revision: 51336
- imported package ruby-database_cleaner

